import requests
url = "https://api.paywise.de/v2/statements/{id}/mandates/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/statements/{id}/mandates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/statements/{id}/mandates/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/statements/{id}/mandates/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/statements/{id}/mandates/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"closing": {
"accepted_main_claim_amount": {
"currency": "<string>",
"value": "<string>"
},
"closing_code": "IP01",
"closing_date": "2023-12-25",
"closing_description": "<string>",
"closing_type": "positive",
"remaining_main_claim_amount": {
"currency": "<string>",
"value": "<string>"
}
},
"cost_burden": [
{
"fee": {
"currency": "<string>",
"value": "<string>"
},
"fee_vat": {
"currency": "<string>",
"value": "<string>"
},
"litigation_taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"litigation_taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"litigation_taxfree_expenses": {
"currency": "<string>",
"value": "<string>"
},
"tax_free_expenses": {
"currency": "<string>",
"value": "<string>"
},
"taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"total_amount": {
"currency": "<string>",
"value": "<string>"
},
"vat_rate": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"debtor": {
"acting_as": "consumer",
"events": [
{
"description": "<string>",
"location": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"title": "<string>",
"type": "<string>",
"your_reference": "<string>"
}
],
"legal_form": "<string>",
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"organization": {
"commercial_register": "<string>",
"commercial_registration_number": "<string>",
"name": "<string>"
},
"person": {
"birth_date": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"salutation": "mr"
},
"your_reference": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_number": "<string>",
"related_statements": [
{
"booking_date": "2023-12-25",
"clearing_no": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_end": "2023-12-25",
"period_start": "2023-12-25"
}
],
"state": {
"legal_stage": {
"code": "<string>",
"label": "<string>",
"label_key": "<string>"
},
"payment": {
"code": "<string>",
"label": "<string>",
"label_key": "<string>"
},
"processing": {
"code": "<string>",
"label": "<string>",
"label_key": "<string>"
}
},
"third_party_money": [
{
"extraordinary_payouts_to_client": {
"allocation_to_client_costs": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_client_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_default_interest": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_main_claim": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_overpayment": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_tax_free_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"payout": {
"currency": "<string>",
"value": "<string>"
},
"total_payments": {
"currency": "<string>",
"value": "<string>"
}
},
"payments_to_client": {
"allocation_to_client_costs": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_client_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_default_interest": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_main_claim": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_overpayment": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_tax_free_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"payout": {
"currency": "<string>",
"value": "<string>"
},
"total_payments": {
"currency": "<string>",
"value": "<string>"
}
},
"payments_to_dca": {
"allocation_to_client_costs": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_client_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_default_interest": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_main_claim": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_overpayment": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_tax_free_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"payout": {
"currency": "<string>",
"value": "<string>"
},
"total_payments": {
"currency": "<string>",
"value": "<string>"
}
},
"total_payments": {
"currency": "<string>",
"value": "<string>"
},
"vat_rate": "<string>"
}
]
}
]
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}List statement cases
Page through the accepted cases included in one statement.
Same rows as the mandates array of the statement detail, with limit/offset pagination and filters on the case and claim references.
import requests
url = "https://api.paywise.de/v2/statements/{id}/mandates/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/statements/{id}/mandates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/statements/{id}/mandates/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/statements/{id}/mandates/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/statements/{id}/mandates/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"closing": {
"accepted_main_claim_amount": {
"currency": "<string>",
"value": "<string>"
},
"closing_code": "IP01",
"closing_date": "2023-12-25",
"closing_description": "<string>",
"closing_type": "positive",
"remaining_main_claim_amount": {
"currency": "<string>",
"value": "<string>"
}
},
"cost_burden": [
{
"fee": {
"currency": "<string>",
"value": "<string>"
},
"fee_vat": {
"currency": "<string>",
"value": "<string>"
},
"litigation_taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"litigation_taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"litigation_taxfree_expenses": {
"currency": "<string>",
"value": "<string>"
},
"tax_free_expenses": {
"currency": "<string>",
"value": "<string>"
},
"taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"total_amount": {
"currency": "<string>",
"value": "<string>"
},
"vat_rate": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"debtor": {
"acting_as": "consumer",
"events": [
{
"description": "<string>",
"location": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"title": "<string>",
"type": "<string>",
"your_reference": "<string>"
}
],
"legal_form": "<string>",
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"organization": {
"commercial_register": "<string>",
"commercial_registration_number": "<string>",
"name": "<string>"
},
"person": {
"birth_date": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>",
"salutation": "mr"
},
"your_reference": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_number": "<string>",
"related_statements": [
{
"booking_date": "2023-12-25",
"clearing_no": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_end": "2023-12-25",
"period_start": "2023-12-25"
}
],
"state": {
"legal_stage": {
"code": "<string>",
"label": "<string>",
"label_key": "<string>"
},
"payment": {
"code": "<string>",
"label": "<string>",
"label_key": "<string>"
},
"processing": {
"code": "<string>",
"label": "<string>",
"label_key": "<string>"
}
},
"third_party_money": [
{
"extraordinary_payouts_to_client": {
"allocation_to_client_costs": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_client_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_default_interest": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_main_claim": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_overpayment": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_tax_free_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"payout": {
"currency": "<string>",
"value": "<string>"
},
"total_payments": {
"currency": "<string>",
"value": "<string>"
}
},
"payments_to_client": {
"allocation_to_client_costs": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_client_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_default_interest": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_main_claim": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_overpayment": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_tax_free_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"payout": {
"currency": "<string>",
"value": "<string>"
},
"total_payments": {
"currency": "<string>",
"value": "<string>"
}
},
"payments_to_dca": {
"allocation_to_client_costs": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_client_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_default_interest": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_fee_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_main_claim": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_overpayment": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_success_commission_vat": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_tax_free_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses": {
"currency": "<string>",
"value": "<string>"
},
"allocation_to_taxable_expenses_vat": {
"currency": "<string>",
"value": "<string>"
},
"payout": {
"currency": "<string>",
"value": "<string>"
},
"total_payments": {
"currency": "<string>",
"value": "<string>"
}
},
"total_payments": {
"currency": "<string>",
"value": "<string>"
},
"vat_rate": "<string>"
}
]
}
]
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Company-bound Case Management API key — the standard credential for this API.
Headers
Required when a Partner key calls the Case Management API; rejected for direct Case keys. Contains the entitled paywise company UUID.
Path Parameters
UUID of the statement in this request.
Query Parameters
Case-insensitive substring of any claim document reference in the case, usually your invoice number.
Number of results to return (maximum 100).
1 <= x <= 100Zero-based result offset.
x >= 0Case-insensitive substring of the paywise case reference.
Case-insensitive substring of any claim reference in the case, such as your order or contract reference.
Response
Limit/offset page of statement case rows.
Total number of matching case rows.
URL for the next page, or null when this is the last page.
URL for the previous page, or null when this is the first page.
Case rows returned for the requested page.
Show child attributes
Show child attributes
